
                        CONTENTS
                        ========

Chapter 1.  Introduction ............................................1

    1-1 An Introduction to the PCIPORT Card .........................1

    1-2 Hardware specifications .....................................1

    1-3 Software specifications .....................................2

Chapter 2. Configuring Hardware .....................................3

    2-1 System Components ...........................................3

    2-2 Installation Procedures .....................................3

    2-3 Hardware Configuration ......................................3

    2-4 Serial Interface Connection .................................4

Chapter 3. Windows 2000/XP Installation .............................5

Chapter 4. Windows NT Installation ..................................6

Chapter 5. Windows 95/98/Me Installation ............................7

Chapter 6. DOS driver Installation ..................................8

Chapter 7. Linux system  Installation ...............................9

Chapter 8. SCO OpenServer Installation .............................10


APPENDIX. A.    Pin Assignments and Cable Wiring ...................11

APPENDIX. B.    RS4232 Isolated Box User Guide .....................15

APPENDIX. C.    Troubleshooting procedure for PCIPORT card .........17

APPENDIX. D.    P422I and P422N card usage .........................19

APPENDIX. E.    P584/P584U and P524U card usage ....................21

APPENDIX. F.    P485  and P485U card usage .........................23

APPENDIX. G.    P588/P588U and P5168U card usage ...................25

APPENDIX. H.    P8485U and P588U4 card usage .......................27

APPENDIX. I.    P232 card usage ....................................29

APPENDIX. J.    P984/P985 and P924 card usage ......................30

APPENDIX. M.    RAYON REPAIR PROCEDURE .............................32

                        ---1---

                  -----Chapter 1-----
                     Introduction

1-1. An introduction to the PCIPORT card

  P588, P588U, P8485U, P5168U card are enhanced eight ports card. P584
, P584U, P485, P485U, P514U, P524U, P534U, P984/P985/P924 are emhamced four
ports card. P232, P220/P422/I/S card are enhanced two ports card. PCIPORT
card are suitable to PC AT with PCI bus machine.PCIPORT card can reduce
the interval for serial communication controller to interrupt main
CPU (MPU) on the mainboard to improve the whole system performance.

  The eight ports card is made up of two parts:
1) PCIPORT interface card:
       PCIPORT interface card includes an PGA to support the serial
   communication controller and a 62 pin connector to connect external
   I/O port.

2) Expansion cable:
       This expansion cable have eight standard DB25 connectors and one
   DB62 connector to connect PCIPORT interface card. User may use one DB62
   to DB62 cable to connect between one PCIPORT card and RS4232-8 box.

  The four ports card is made up of two parts:
1) PCIPORT interface card:
       PCIPORT interface card includes an PGA to support the serial
   communication  controller and a 37 pin connector to connect
   external I/O port.

2) Expansion cable:
       This expansion cable have four standard DB25 connectors and one
   DB37 connector to connect PCIPORT interface card. User may use one
   DB37 to DB37 cable to connect between one PCIPORT card and RS4232-4 box.

   For a PC AT Windows NT/95/98/2000/XP system, we can install up to 2 pcs
PCIPORT eight/four port card to support up to 16 or 8 users and 4 pcs
P422/I/S card to support upto 8 users.

   Traditionally, serial communication controller will interrupt MPU
character by character. This action will waste MPU processing time
and drop the system computation power. If the MPU is processing some
non-interruptted task, then serial controller may be overrun and data lost.
PCIPORT card can support 16 bytes buffer capability in each port's transmit
and receive channel simultaneously. This capability will reduce the number
of interrupt to MPU and increase the non-interruptted task's interval.

1-2. Hardware specification
 *serial communication controller:
        16C550A compatible.
        1.8432MHz crystal. (can be used upto 14.7456MHz)

 *I/O Port: ---- RS232C compatible. (P584/P584U/P588/P588U/P984/P232 card)
                 RS422/485 compatible. (P422N/P485U/P924/P8485U/P524U card)
                 RS422 compatible. (P985 card)
                 isolated RS422/RS485 interface. (P485/P422I card
                                 or P588 card with RS4232-8 box)

                        ---2---

                 isolated RS232/RS422/RS485 interface. (P584/P584U/P984
                                        card with RS4232-4 box)

 NOTE: P422 card can support RS422/485 interface for each port by jumper.
       P422I will support isolated RS422/485 interface.
       P422IS will support extra surge protector in RS422/485 interface.
       P924 will support two RS232 and two RS422/485 port.

 *Interrupt Control: ------ Plug & Play to be assigned by PCI BIOS. Each card
                            must have one IRQ to be assigned. But multi-card
                            can share the same IRQ.

 *I/O map: -------- Plug & Play to be assigned by PCI BIOS.

 NOTE: Some operating system and software may assign I/O map for LAN card
       later and conflict with PCIPORT card's I/O address assigned by PCI
       BIOS. User may need to change the slot for PCIPORT card to have
       different I/O address assigned by PCI BIOS.

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate:
     can be software programmable upto 115.2KBps for 1.8432MHz
                  crystal or 921.6KBps for 14.7456MHz crystal.

 *Connector  ------ Expansion cable can support DB25/DB9 male connectors.

        P588/P588U/P5168U/P8485U card: DB62 female connector.
        P584/P584U/P485/P485U/P984/P985/P924 card: DB37 female connector.
        P232 and P422I/P422N card: two DB9 male connector.

 *Environment ----- PC/AT with 5V or 3.3V 33MHz PCI bus machine.

NOTE: only Universal PCIPORT card support 3.3V PCI slot.

1-3 Software specification:
 *Operating system  -----can support
                         Windows 2000/XP
                         Windows NT
                         Windows 95/98/Me
                         DOS
                         LINUX
                         SCO OpenServer
                         other operating system.

NOTE: All the software for P588U/P5168U/P8485U card is same as P588 card.
      The difference for P8485U card and P588 card is serial port's
      interface type.
      All the software for P485/P485U/P584U/P524U card is same as P584 card.
      The difference for P485/P485U card and P584 card is serial port's
      interface only or connector type.All the software for P232/P422/I/S
      card are same as P220 card.We will use P220 software to represent
      P220/P232/P422/I/S card usage.
      All the software for P985/P924 card is same as P984 card. The
      difference for P984 card and P985/P924 card is serial port's
      interface only.

                        ---3---

                        Chapter 2.
                Configuring the Hardware

2-1 System components
  An P588/P588U/P5168U/P8485U card system includes following components:
*One P588/P588U/P5168U/P8485U PCI interface card.
*One 62pin Expansion Cable to support eight DB25/DB9 connector.
        R801 cable is used for DB62 to eight DB25 male connector.
        R804 cable is used for DB62 to eight DB9 male connector.
        R802 cable is used for DB62 to eight DB25 female connector.
*One R803 (DB62 to DB62) cable with RS4232-8 box.
        (option for P588/P588U/P5168U card).
*User manual.

  An P584/P485/P984/P985/P924/P584U/P485U/P524U card system includes
following components:
*One P584/P485/P984/P985/P924/P584U/P485U/P524U PCI interface card.
*One 37pin Expansion Cable to support four DB25/DB9 connector.
        A400 cable is used for DB37 to four DB25 male connector.
        P485 cable is used for DB37 to four DB9 male connector.
*One A640 (DB37 to DB37) cable with RS4232-4 box.
        (option for P584/P984/P584U card).
*User manual.

2-2 Installation Procedures
  One PCIPORT card needs a 5V or 3.3V 33MHz PCI system expansion slot.

NOTE: Only Universal type PCIPORT card support 3.3V PCI system.

  The installation procedures are as follows:
(1) Turn off the power switch of your system.
(2) check the jumper to select the proper card number assigned.
(3) Plug the PCIPORT card to system expansion slot.
(4) Connect the 62pin(37pin) cable to P588(P584/P485) interface card.
(5) Turn on the system power.
(7) Start up the operating system.
(8) execute the PCIPORT card software installation procedure.

WARNING: You should not insert or remove the PCIPORT card from
         the system while power is on.

2-3 Hardware Configuration
*In PCIPORT card we have following jumpers to set
 (1) JP1:
     This jumper is used to select the card number assigned. This jumper
     is ON for 1'st card. This jumper is OFF for 2'nd card.

2-4 Serial I/O port connection:
  (1) P584/P584U/P984 card:
       Support four RS232 interface port.
       Pin definition for DB37 female connector is in Appendix A-2.
       Pin definition for DB25 male connector is in Appendix A-3.
       Pin definition for DB9 male connector is in Appendix A-4.
  (2) P485/P485U card:
       Support four RS422/485 interface port.
       Each port can be set to RS422 or RS485 interface by DIP switch.
       see pin definition for connector in Appendix A.

                        ---4---

  (3) P985 card:
       Support four RS422 interface port.
  (4) P924/P524U card:
       Support two RS232 interface in port A & B and two RS422/485
         interface in port C & D.
       port C & D can be set to RS422 or RS485 interface by jumper.
       see pin definition for connector in Appendix A.
  (5) P514U card:
       Support three RS232 interface in port A & B & C and one RS422/485
         interface in port D.
       port D can be set to RS422 or RS485 interface by jumper.
       see pin definition for connector in Appendix A.
  (6) P534U card:
       Support one RS232 interface in port A and three RS422/485
         interface in port B & C & D.
       port B & C & D can be set to RS422 or RS485 interface by jumper.
       see pin definition for connector in Appendix A.
  (7) P588/P588U/P5168U card:
       Support eight RS232 interface port.
       Pin definition for DB62 female connector is in Appendix A-1.
       Pin definition for DB25 male connector is in Appendix A-3.
       Pin definition for DB9 male connector is in Appendix A-4.
  (8) P8485U card:
       Support eight RS422/485 interface port.
       Each port can be set to RS422 or RS485 interface by DIP switch.
       see pin definition for connector in Appendix A.
  (9) P588U-4 card:
       Support four RS232 interface in port A & B & C & D and
         four RS422/485 interface in port E & F & G & H.
       port E/F/G/H can be set to RS422 or RS485 interface by DIP switch.
       see pin definition for connector in Appendix A.

Note: Standard P584 card can support RS232 interface only. User can use our
      RS4232-4 box to change RS232 interface to isolated RS232/RS422/RS485.
      For more detail information about pin definition in DB37 connector
      can be found in appendix A-2.

Note: Standard P588 card can support RS232 interface only. User can use our
      RS4232-8 box to change RS232 interface to isolated RS422/RS485.
      For more detail information about pin definition in DB62 connector
      can be found in appendix A-1.

Note: RS4232 can use DIP switch to set each port to be RS232, RS422 or RS485
      interface. More information for RS4232 box is in appendix B.

Note: P422/I/S can use SW1 DIP Switch bit1&2 to set card number 1--4.
      The interface selection in P422I card will be set by SW1 DIP Switch
      bit3&4 for isolated RS422 or RS485 interface. In RS485 interface we
      have Auto-Data-Direction-Control function.
      Port A (or B) Interface Usage:
     a)RS422 interface: SW1 DIP switch bit 3  (or 4) is ON.
     b)RS485 interface: SW1 DIP switch bit 3 (or 4) is OFF.

      In each RS422/RS485 interface user may need to have terminator
     resistor. User can insert the jumper in JP3 for port A and JP6 for
     port B to install the terminator resistor in P422/I/S card.

                        ---5---

                        Chapter 3
                Windows 2000/XP Installation

3-1 Driver Installation

  Once Windows 2000 system has been started, the Plug & Play function in
2000/XP system will find the new PCIPORT card. If this is the first time
to install PCIPORT card in your 2000/XP system, you will be informed to
install the driver. Please follow the instruction message to specify the
driver location.

         A:\WIN2000   (NOTE: don't select wrong path a:\WIN95)

  Because the resource will be assigned by PCI BIOS. It is not easy to check
which card is first card or second card from resource. So we have one jumper
in each card to set the first card or second card for this PCIPORT card.
THen we can fix the COM port number for each card. This is very important
for PCIPORT card. Traditionly, we check the resource in each card to confirm
the card number. Use this rule we can assign the COM port number for each
card. But in PCI bus all the resource for each card is assigned by PCI BIOS
in power on procedure. So it is not easy for us to confirm the COM port
number for each card. Then it is not easy to maintain the application
environment for different time point (You may change your system
configuration due to add extra new card. This may change your PCI system's
resource condition). So our jumper to assign card number is very inportant.

  Due to the COM port start number will be assigned by WIN2000/XP in driver
installation procedure. If you need to specify other COM port start number
for PCIPORT card, you may need to setup it in our driver. When you installed
PCIPORT driver in your WIN2000/XP system, you can enter "control panel-->
system-->Hardware-->Device Manager-->Multi-port serial adapter-->setup" to
specify your target value.

3-2 Note for multi-PCIPORT card installation.
  a) When we need to install two  PCIPORT cards in one WIN2000/XP system,
     we must confirm to let one card's jumper is ON. And the other card's
     jumper is OFF. We need to insert both card one by one.

  b) The card with jumper ON will have COM port number assigned for first
     card.  The card with jumper OFF will have COM port number assigned for
     second card.

  c) For easy to maintain one WIN2000 system's COM port number we suggest
     that user must set the jumper ON for the first card to be installed in
     one WIN2000 system.

  d) PCIPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each PCIPORT card. For multi-PCIPORT application we can just
     share one IRQ in each card. But user must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to PCIPORT card, you may have wrong operation. Even though
     we can support IRQ shared mode, user must confirm that the other card
     with same IRQ must support IRQ shared mode.

  e) In WIN2000 system the driver for port is installed automatically. In
     XP system the driver for port is installed and confirmed for each port.

                        ---6---

                        Chapter 4
                Windows NT Installation

4-1 Driver Installation
  Once Windows NT system has been started, login using an account with
administrative rights.
  a) Start the [Control Panel] applet by double clicking its icon in the
     [Program Managers] main group.

  b) In the [Control Panel] applet, double click [Network] icon to bring
     up the Network Control Panel Applet(NCPA).

  c) Within the NCPA, select the [Add Adaptor] button. A list of possible
     adaptors should be displayed. Go to the end of this list and select
        '<Other> Requires disk from manufacturer'

  d) When prompted for the path, specify the drive and directory where the
     NCPA can find the new driver for the card you installed.

   a:\P584\NT4   ===> specify for P584/P584U/P485/P485U/P514U/P524U/P534U

   a:\P588\NT4   ===> specify for P588/P588U/P5168U/P8485U

   a:\P220\NT4   ===> specify for P220/P422I/P422N/P232

   a:\P984\NT4   ===> specify for P984/P985/P924

NOTE: It is very important for user to assign correct directory for each
      type of cards.

  e) Now, you can follow the configuration dialog boxes to finish the
     PCIPORT card's driver. The important thing is to let COM port number
     no confliction with other card.

  f) After above procedure we need to select "Binding" function to let more
     serial port available. If you do not have "Binding" function done, you
     may not have extra COM port available in next boot procedure.

4-2 Note for multi-PCIPORT card installation.
  a) When we need to install two same type PCIPORT cards in one NT system,
     we must confirm to let one card's jumper is ON. And the other card's
     jumper is OFF.

  b) The card with jumper ON will have low COM port number. The card with
     jumper OFF will have higher COM port number to follow the card with
     jumper ON.

  c) For easy to maintain one NT system's COM port number we suggest that
     user must set the jumper ON for the first card to be installed in one
     NT system.

  d) User must confirm that you do not have IRQ number conflicted with other
     card. Some new motherboard may have USB controller built-in. But we do
     not support USB driver in NT system. So user must disable such USB
     controller in BIOS setup.

                        ---7---

                        Chapter 5
                Windows 95/98/Me Installation

5-1 Driver Installation

  Once Windows 95/98 system has been started, the Plug & Play function in
95/98/Me system will find the new PCIPORT card. If this is the first time
to install PCIPORT card in your 95/98/Me system, you will be informed to
install the driver. Please follow the instruction message to input the
COM port number start value for first card and second card.

         A:\WIN95

NOTE: You must specify correct path for system to find INF file.

  Because the resource will be assigned by PCI BIOS. It is not easy to check
which card is first card or secong card from resource. So we have one jumper
in each card to set the first card or second card for this PCIPORT card.
THen we can fix the COM port number for each card. This is very important
for PCIPORT card. Traditionly, we check the resource in each card to confirm
the card number. Use this rule we can assign the COM port number for each
card. But in PCI bus all the resource for each card is assigned by PCI BIOS
in power on procedure. So it is not easy for us to confirm the COM port
number for each card. Then it is not easy to maintain the application
environment for different time point (You may change your system
configuration due to add extra new card. This may change your PCI system's
resource condition). So our jumper to assign card number is very inportant.

  After you had installed the PCIPORT driver, you might be informed to have
new hardware found. But you do not need to install the driver again. Windows
95/98/Me will add the COM port automatically.

5-2 Note for multi-PCIPORT card installation.
  a) When we need to install two  PCIPORT cards in one 95/98/Me system,
     we must confirm to let one card's jumper is ON. And the other card's
     jumper is OFF.

  b) The card with jumper ON will have COM port number assigned for first
     card.  The card with jumper OFF will have COM port number assigned for
     second card.

  c) For easy to maintain one 95/98 system's COM port number we suggest that
     user must set the jumper ON for the first card to be installed in one
     95/98 system.

  d) PCIPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each PCIPORT card. User must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to PCIPORT card, you may have wrong operation. Even though
     our driver can support IRQ shared mode, user also need to confirm that
     the other card with same IRQ number must support IRQ shared mode (some
     ISA card do not support).

  e) In WIN98/Me system we need to assign from COM5 or later. Because
     COM3/4 had been reserved for legacy COM port. If user specify COM
     port number from COM1/COM2/COM3/COM4 may have some unpredictable
     problem in some application package.

                        ---8---

                        Chapter 6
                DOS Driver Installation

6-1 Driver Installation

  1. Please confirm that you have jumper ON to set your first P584/P588
     card in your first card installation.
  2. Change your active directory to target directory.
          ex.   C:\RAYON
  3. Insert our driver diskette and copy all files in driver diskette.
          ex.   XCOPY /S/E/V A:\DOS\*.*  .
     NOTE: This action will copy all the necessary files include DEMO
           program from driver diskette to current directory.
  4. Run the driver installation command

        For P584/P584U/P588/P588U/P485/P485U/P5168U/P8485U card

                C:\RAYON\PCIPORT    (or driver diskette \DOS\PCIPORT)

        For P984/P985/P924/P422I/P422N/P232/P220 card

                C:\RAYON\P220\P984   (or driver diskette \DOS\P220\P984)

  5. Then you can find the cards installed in your system. Each card will
     show the card number in this system (this card number will be used in
     application program to specify the target card and target port), the
     card model, the card jumper setting for 1'st card or 2'nd card, the
     IRQ assigned and COM port number in this card.

        for example,

          card[1]   PCIPORT   P588   1'st card
          IRQ  number :  11
          COM  port  :  8
          card[2]   PCIPORT   P588   2'nd card
          IRQ  number :  12
          COM  port  :  8
NOTE:
    You may have following error message:
   a) PCIPORT & INDPORT Already Install.
     ====>  The driver had been installed.
   b) Please check 'JP1' in the P588 or P584
     ====>  You may install the same type card have same JP1 setting.
   c) PCIPORT not in system.
     ====>  There is no PCIPORT card to be found in PCI slot.

6-2 Note for multi-PCIPORT card installation.
  a) We can install upto eight P584,P588,P514,P518,P124 in one DOS system.
     But each type of cards must have different jumper setting for card
     number. For example you can not have both P584 card with JP1 ON.
  b) The PCIPORT driver function call description can be found in DOS
     driver diskette. We also have one DEMO program for user to modify
     to meet their target application program.
  c) Because we need to specify the target PCIPORT card for access in
     application program. We must give each card one unique card number.
     We will give each card's card number in driver installation console
     out message. User need to record such card number for each card.

                        ---9---

                        Chapter 7
                Linux driver Installation

7-1 Driver Installation

  1. Login with superuser  or root.

  2. Change your directory to root and copy our driver diskette to system.
          #cd /
          #tar  xvf  /dev/fd0

  3. change directory to /etc/rayon and run Install command.
          #cd /etc/rayon
          #./Install

  4. You will have following procedure to configure your module.
          1. choose your card type.   (PCIPORT card)
          2. choose your linux kernel version.
          3. rebuild your system.
          4. exit & reboot with new setting.

  5. Then, you can have extra serial port to be used.
        1. the device name will be     /dev/tty8[1--2][a--h]
        2. For the card set in first card number (Jumper ON) will be
                /dev/tty81[a--h]
        3. For the card set in 2'nd card number (Jumper OFF) will be
                /dev/tty82[a--h]

NOTE: Above driver installation procedure will install module type driver.
      Due to the system configuration is very important from kernel 2.4.x
      we can not offer OBJ type driver to install. So we offer the source
      file type driver to install. User must have kernel source file in
      /usr/src/linux directory to link with our driver's source file. But
      some distribution Linux system (ex. REDHAT) may have different
      directory name for kernel source. User must rename such directory
      to linux or link such directory to "/usr/src/linux". Or they may have
      error message in driver installation procedure. (because we can not
      find the path for kernel source to link). User also need to use this
      kernel source file to generate run time image file in boot.

7-2 Note for multi-PCIPORT card installation.
  a) When we need to install two  PCIPORT cards in one Linux system,
     we must confirm that one card's jumper is ON. And the other card's
     jumper is OFF.

  b) PCIPORT card can be used in interrupt shared mode. PCI BIOS will assign
     IRQ for each PCIPORT card. For multi-PCIPORT application we can just
     share one IRQ in each card. But user must confirm that one system may
     have minimum one IRQ left for P & P function. If there are no IRQ to
     be assigned to PCIPORT card, you may have wrong operation.

  c) Even though PCIPORT card can be used in interrupt shared mode. But
     user must confirm that the other card with same IRQ must also support
     interrupt shared mode (ISA card do not support).

7-3 Anytime you can send me E_mail in "rayon@ms1.hinet.net" for Linux
    driver support.

                        ---10---

                        Chapter 8
                SCO OpenServer Installation

8-1 Driver Installation

   User can use /etc/custom command to install our driver or use following
procedure to install our driver.
******We strongly suggest that you use "custom" method to install firstly.

  1. Login with superuser  or root.

  2. Change your directory to root and copy our driver diskette to system.
          #cd /
          #tar  xvf  /dev/fd0135ds18

  3. change directory to /etc/pciport and run "build" command.
          #cd /etc/pciport
          #./build

  4. Please follow the installation procedure and reboot your system.

  5. Then, you can have extra serial port to be used.
        1. the device name will be     /dev/tty8[1--2][a--h]
        2. For the card set in first card number (Jumper ON) will be
                /dev/tty81[a--h]
        3. For the card set in 2'nd card number (Jumper OFF) will be
                /dev/tty82[a--h]

NOTE: Due to the PCIPORT card's resource is assigned by PCI BIOS. We may
      have different resource to be assigned for different environment
      changed. We may need to re-install our driver for this condition.
      User may need to run "build" command again to remove old driver and
      install new driver again. We strongly recommend that user need to
      re-install our driver for PC environment changed condition.

8-2 Note for multi-PCIPORT card installation.

  a) We can install upto two PCIPORT cards in one SCO system.

  b) When we need to install two  PCIPORT cards in one SCO OpenServer
     system, we must confirm that one card's jumper is ON. And the other
     card's jumper is OFF.

  c) In SCO OpenServer system PCIPORT card can not be used in interrupt
     shared mode. PCI BIOS will assign IRQ for each PCIPORT card. For
     multi-PCIPORT application we must have sperate IRQ for each card.
     So user must confirm that one system may have enough IRQ left for
     P & P function. If there are no unique IRQ to be assigned to PCIPORT
     card, you may have wrong operation. Please use our PCIIOP card in
     this condition. Because PCIIOP card don't need IRQ pin.

  d) User must insert our PCIPORT card in PCI slot before installed our
     SCO OpenServer driver.

  e) If PCIPORT card can not have proper operation, user may remove our
     driver firstly. Then user can install our driver again. If user
     try above procedure many times and fail, we may have failed card.

                        ---11---

                        Appendix A
                Pin assignements and Cable Wiring

A-1:   DB62 Female Connector Pin assignment in P588/P588U/P5168U/P8485U card.
=============================================================================
DB62 | Signal           || DB62 | Signal           || DB62 | Signal
Pin  |  Name            || Pin  | Name             || Pin  | Name
=============================================================================
  1  | TXD1 / TXD1+ (O) ||  22  | TXD2 / TXD2+ (O) ||  43  | GND
-----------------------------------------------------------------------------
  2  | RXD1 / RXD1+ (I) ||  23  | RXD2 / RXD2+ (I) ||  44  | GND
-----------------------------------------------------------------------------
  3  | RTS1         (O) ||  24  | RTS2         (O) ||  45  | GND
-----------------------------------------------------------------------------
  4  | CTS1         (I) ||  25  | CTS2         (I) ||  46  | TXD4 / TXD4+ (O)
-----------------------------------------------------------------------------
  5  | DSR1 / RXD1- (I) ||  26  | DSR2 / RXD2- (I) ||  47  | RXD4 / RXD4+ (I)
-----------------------------------------------------------------------------
  6  | DTR1 / TXD1- (O) ||  27  | DTR2 / TXD2- (O) ||  48  | RTS4         (O)
-----------------------------------------------------------------------------
  7  | DCD1         (I) ||  28  | DCD2         (I) ||  49  | CTS4         (I)
-----------------------------------------------------------------------------
  8  | TXD3 / TXD3+ (O) ||  29  | TXD7 / TXD7+ (O) ||  50  | DSR4 / RXD4- (I)
-----------------------------------------------------------------------------
  9  | RXD3 / RXD3+ (I) ||  30  | RXD7 / RXD7+ (I) ||  51  | DTR4 / TXD4- (O)
-----------------------------------------------------------------------------
  10 | RTS3         (O) ||  31  | RTS7         (O) ||  52  | DCD4         (I)
-----------------------------------------------------------------------------
  11 | CTS3         (I) ||  32  | CTS7         (I) ||  53  | TXD8 / TXD8+ (O)
-----------------------------------------------------------------------------
  12 | DSR3 / RXD3- (I) ||  33  | DSR7 / RXD7- (I) ||  54  | RXD8 / RXD8+ (I)
-----------------------------------------------------------------------------
  13 | DTR3 / TXD3- (O) ||  34  | DTR7 / TXD7- (O) ||  55  | RTS8         (O)
-----------------------------------------------------------------------------
  14 | DCD3         (I) ||  35  | DCD7         (I) ||  56  | CTS8         (I)
-----------------------------------------------------------------------------
  15 | TXD5 / TXD5+ (O) ||  36  | TXD6 / TXD6+ (O) ||  57  | DSR8 / RXD8- (I)
-----------------------------------------------------------------------------
  16 | RXD5 / RXD5+ (I) ||  37  | RXD6 / RXD6+ (I) ||  58  | DTR8 / TXD8- (O)
-----------------------------------------------------------------------------
  17 | RTS5         (O) ||  38  | RTS6         (O) ||  59  | DCD8         (I)
-----------------------------------------------------------------------------
  18 | CTS5         (I) ||  39  | CTS6         (I) ||  60  | GND
-----------------------------------------------------------------------------
  19 | DSR5 / RXD5- (I) ||  40  | DSR6 / RXD6- (I) ||  61  | GND
-----------------------------------------------------------------------------
  20 | DTR5 / TXD5- (O) ||  41  | DTR6 / TXD6- (O) ||  62  | GND
-----------------------------------------------------------------------------
  21 | DCD5         (I) ||  42  | DCD6         (I) ||  xxx | xxx
=============================================================================
****Note: R801 cable support DB62 connector to eight DB25 male connector.
          R802 cable support DB62 connector to eight DB25 female connector.
          R804 cable support DB62 connector to eight DB9 male connector.
          User can use R803 cable (DB62 male to DB62 male connector) to
          connect with RS4232-8 box.
****Note: (O) is signal output from card. (I) is signal input to card.

                        ---12---

A-2: DB37 Female Connector Pin assignment in P584/P485/P584U/P485U/P514U
     /P524U/P534U/P984/P985/P924 card.
=========================================================================
DB37 Pin | RS232      | RS422/485  || DB37 Pin | RS232      | RS422/485
 Number  | Signal Name| Signal Name|| Number   | Signal Nmae| Signal Name
=========================================================================
  1      | RXDA (In ) | RXDA+(In ) ||  20      | TXDA (Out) | TXDA+(Out)
-------------------------------------------------------------------------
  2      | CTSA (In ) | ---        ||  21      | RTSA (Out) | ---
-------------------------------------------------------------------------
  3      | DSRA (In ) | RXDA-(In ) ||  22      | DTRA (Out) | TXDA-(Out)
-------------------------------------------------------------------------
  4      | DCDA (In ) | ---        ||  23      | RIA  (In ) | ---
-------------------------------------------------------------------------
  5      | GND        | port A GND ||  24      | RXDB (In ) | RXDB+(In )
-------------------------------------------------------------------------
  6      | TXDB (Out) | TXDB+(Out) ||  25      | CTSB (In ) | ---
-------------------------------------------------------------------------
  7      | RTSB (Out) | ---        ||  26      | DSRB (In ) | RXDB-(In )
-------------------------------------------------------------------------
  8      | DTRB (Out) | TXDB-(Out) ||  27      | DCDB (In ) | ---
-------------------------------------------------------------------------
  9      | GND        | port B GND ||  28      | RIB  (In ) | ---
-------------------------------------------------------------------------
  10     | GND        | ---        ||  29      | RIC  (In ) | ---
-------------------------------------------------------------------------
  11     | GND        | port C GND ||  30      | DCDC (In ) | ---
-------------------------------------------------------------------------
  12     | DTRC (Out) | TXDC-(Out) ||  31      | DSRC (In ) | RXDC-(In )
-------------------------------------------------------------------------
  13     | RTSC (Out) | ---        ||  32      | CTSC (In ) | ---
-------------------------------------------------------------------------
  14     | TXDC (Out) | TXDC+(Out) ||  33      | RXDC (In ) | RXDC+(In )
-------------------------------------------------------------------------
  15     | GND        | port D GND ||  34      | RID  (In ) | ---
-------------------------------------------------------------------------
  16     | DCDD (In ) | ---        ||  35      | DTRD (Out) | TXDD-(Out)
-------------------------------------------------------------------------
  17     | DSRD (In ) | RXDD-(In ) ||  36      | RTSD (Out) | ---
-------------------------------------------------------------------------
  18     | CTSD (In ) | ---        ||  37      | TXDD (Out) | TXDD+(Out)
-------------------------------------------------------------------------
  19     | RXDD (In ) | RXDD+(In ) ||  ----    | ----       | ----
=========================================================================
****Note: A400/P584 cable support DB37 connector to four DB25 male connector.
          P485 cable will support DB37 connector to four DB9 male connector.
          User can use A640 cable (DB37 male to DB37 female connector) to
                connect P584/P584U/P984 card and RS4232-4 box.
          P584/P584U/P984 card support 4 RS232 interface.
          P985 card support 4 RS422 interface.
          P485/P485U card support 4 RS422/RS485 interface.
          P514U card support 3 RS232 interface in port A/B/C and 1 RS422/485
                interface in port D.
          P924/P524U support 2 RS232 interface in port A/B and 2 RS422/485
                interface in port C/D.
          P934U card support 1 RS232 interface in port A and 3 RS422/485
                interface in port B/C/D.

                        ---13---

A-3: DB25 Male Connector Pin assignment in R801 (DB62 to 8 DB25) cable and
     A400/P584 (DB37 to 4 DB25) cable for RS232 signal and RS422/485 signal.
=======================================================
DB25 Pin Number  | RS232 Signal   | RS422/485 Signal
=======================================================
  2              | TXD  (Out)     | TXD+ (Out)
-------------------------------------------------------
  3              | RXD  (In )     | RXD+ (In )
-------------------------------------------------------
  4              | RTS  (Out)     | ---
-------------------------------------------------------
  5              | CTS  (In )     | ---
-------------------------------------------------------
  6              | DSR  (In )     | RXD- (In )
-------------------------------------------------------
  7              | GND            | isolated GND
-------------------------------------------------------
  8              | DCD  (In )     | ---
-------------------------------------------------------
  20             | DTR  (Out)     | TXD- (Out)
=======================================================

A-4: DB9 Male Connector Pin assignment in R804 (DB62 to 8 DB9) cable and
   P485 (DB37 to 4 DB9) cable for RS232 signal and RS422/485 signal.
   DB9 Male Connector Pin definition in P220/P232/P422I/P442N card.
=======================================================================
DB9  Pin Number  | RS232 interface Signal | RS422/485 interface Signal
=======================================================================
  1              | DCD       (In )        | ---
-----------------------------------------------------------------------
  2              | RXD       (In )        | RXD+ (In )
-----------------------------------------------------------------------
  3              | TXD       (Out)        | TXD+ (Out)
-----------------------------------------------------------------------
  4              | DTR       (Out)        | TXD- (Out)
-----------------------------------------------------------------------
  5              | GND                    | isolated GND or GND
-----------------------------------------------------------------------
  6              | DSR       (In )        | RXD- (In )
-----------------------------------------------------------------------
  7              | RTS       (Out)        | ---
-----------------------------------------------------------------------
  8              | CTS       (In )        | ---
-----------------------------------------------------------------------
  9              | RI        (In )        | ---
=======================================================================
****Note: P485 card will support 4 isolated RS422/485 interface port.Each
          port has isolated GND to be used.
    Note: P588/P588U/P5168U card do not support RI signal.
    Note: P232 card support 2 RS232 interface.
    Note: P422I card support 2 ground isolated RS422/485 interface.
    Note: P422N card support 2 RS422/485 interface with common ground.
    Note: P8485U card support 8 RS422/485 interface with common ground.
    Note: P588U-4 card support 4 RS232 interface in port A/B/C/D and 4
          RS422/485 interface in port E/F/G/H with common ground.
    Note: TB485 convertor can convert DB9 connector to 3 pin terminal
          blocks for RS485 application.

                        ---14---

A-5: RJ45 Connector Pin assignment in RJ422 & RJ584 card.
=================================================================
RJ45 Pin Number  | RS232 Signal Name   | RS422     Signal Name
=================================================================
  1              |      TXD  (Out)     |      TXD+ (Out)
-----------------------------------------------------------------
  2              |      RXD  (In )     |      RXD+ (In )
-----------------------------------------------------------------
  3              |      RTS  (Out)     |      ---
-----------------------------------------------------------------
  4              |      CTS  (In )     |      ---
-----------------------------------------------------------------
  5              |      DSR  (In )     |      RXD- (In )
-----------------------------------------------------------------
  6              |      GND            |      GND
-----------------------------------------------------------------
  7              |      DTR  (Out)     |      TXD- (Out)
-----------------------------------------------------------------
  8              |      DCD  (In )     |      ---
=================================================================
Note: RJ584  card support 4 * RS232 interface port.
      RJ584-1 Card support 3 * RS232 interface in Port A/B/C and RS422
                           interface in Port D.
      RJ584-2 Card support 2 * RS232 interface in Port A/B and 2 * RS422
                           interface in Port C/D.
      RJ584-3 Card support RS232 interface in Port A and 3 * RS422
                           interface in Port B/C/D.
      RJ422  card support 4 * RS422 interface port.

Note: In RJ422 card we use one jumper for each port to insert terminator
      resistor in receiver or not. When one port do not connect with other
      device, we must not insert the terminator resistor (the jumper OFF)
      for that port. This condition can promise such port with mark
      condition in receiver. When you insert the terminator resistor in
      no use port, we may have indetermined state in receiver.
      Generally we suggest that user may not insert terminator resistor
      in each port. Except that you run in high baud rate and long cable
      in your application.

Note: In RJ422 card the RS422 signal is balanced type. We use the plus(+)
      and minus(-) signal pair in direct connection. But some manufacture
      may use inverse definition in such signal pair. So you need to check
      the signal definition for each device to prepare your cable.

Note: Because RJ422 card do not have ground isolation function in RS422
      interface. User must confirm the ground condition for all the device
      connectted are good. Or the ground voltage difference between both
      device may be higher than common mode voltage limitaion and damage
      the interface IC. If user can not confirm such condition, we suggest
      to use P485 card with ground isolation feature.

                        ---15---

                        Appendix B
                RS4232 Isolated Box user guide

B-1  Introduction.

  RS4232 box is used to convert RS232 input signal to isolated RS232, RS422
or RS485 interface. So we can support signal ground isolation system between
PC system and external application system. We have two models to support
four ports(RS4232-4 model) or eight ports(RS4232-8 model).

  In RS4232-4 box each port have two bit DIP switch to set for RS232, RS422
or RS485 interface. In RS4232-8 box each port have one bit DIP switch to
set for RS422 or RS485 interface. In RS485 mode we had auto data direction
function to maintain no local echo condition. But user may still need
to maintain just only one port to output data. So RS485 mode must be used
in half-duplex transmission environment. For full-duplex transmission
environment user may need to use RS422 mode.

  In RS4232 box we have one built-in switching power supply. This power
supply can accept 100-265VAC input or 48--60VDC input(option).

  In RS4232-8 box we can use one DB62 to DB62 cable to connect with P588
card. In RS4232-4 box we can use one DB37 to DB37 cable to connect with
P584 card. All the cable is connected in pin to pin direct connection type.

B-2 Pin definition in DB25 Male connector.
==========================================================================
 Pin   | RS232 mode | RS422/485 mode|| Pin   | RS232 mode | RS422/485 mode
 Number| Signal Name| Signal Name   || Number| Signal Name| Signal Name
==========================================================================
  2    | TXD  (Out) | ---           ||  8    | DCD  (In ) | ---
--------------------------------------------------------------------------
  3    | RXD  (In ) | ---           ||  9    | ---        | RXD+ (In )
--------------------------------------------------------------------------
  4    | RTS  (Out) | ---           ||  10   | ---        | RXD- (In )
--------------------------------------------------------------------------
  5    | CTS  (In ) | ---           ||  11   | ---        | TXD+ (Out)
--------------------------------------------------------------------------
  6    | DSR  (In ) | ---           ||  12   | ---        | TXD- (Out)
--------------------------------------------------------------------------
  7    | GND        | isolated GND  ||  20   | DTR  (Out) | ---
==========================================================================
Note: In RS4232-8 box we just support RS422/RS485 interface. In RS4232-4
      box we can support RS232/RS422/RS485 interface.
Note: Each connector port have isolated ground.
Note: RS485 mode may let pin9 & pin11 short together as DATA+ and pin10
      & pin12 short together as DATA- to connect with other device.
Note: In RS422 mode the pin 2/3/4/5/6/8/20 may be in floating condition and
      with 5K ohmn pull down resistor to GND.
Note: In RS232 mode the pin 9/10/11/12 may be in floating state.
      Don't connect any RS232 signal to these pins.
Note: We have 120 ohmn terminator resistor built in each input signal pair.
      In RS485 mode you may need to have this terminator resistor in both
      end device. In other location we may need to remove such terminator.
      User can set jumper On/Off to use/remove this terminator resistor.
Note: The pin definition for DB62 female connector of RS4232-8 box is same
      as table A-1 in Appendix A. But it is DCE type connector.

                        ---16---

B-3:  RS4232-4 box Mode setting in DIP switch.
======================================================
DIP Switch  | DIP Switch  | Interface mode
bit 1,3,5,7 | bit 2,4,6,8 |
======================================================
  ON        | ON          | RS232
------------------------------------------------------
  ON        | OFF         | RS232
------------------------------------------------------
  OFF       | ON          | RS422
------------------------------------------------------
  OFF       | OFF         | RS485
======================================================
Note: bit 1 & 2 is used for PORT A setting.
      bit 3 & 4 is used for PORT B setting.
      bit 5 & 6 is used for PORT C setting.
      bit 7 & 8 is used for PORT D setting.

B-4:  RS4232-8 box Mode setting in DIP switch.
================================                  NOTE: bit1=Port A
 DIP Switch  | Interface mode                           bit2=Port B
================================                        bit3=Port C
 ON          | RS422                                    bit4=Port D
--------------------------------                        bit5=Port E
 OFF         | RS485                                    bit6=Port F
================================                        bit7=Port G
                                                        bit8=Port H

B-5: RS422 interface application note
  RS422 interface is used for point to point connection or multi-drop
application. But user may need to keep in mind that we can only let one
driver output signal to be actived in one time. Or you may let the driver
IC to be burnt.

  Even though we had put one 120ohmn terminator resistor in each input signal
pair. User may need to remove this terminator resistor for proper operation.

  Due to proper operation user may not let one cable left in un-connected
condition. Because the crosstalk problem may let one transmit data signal
to be coupled to receive data input. This may lead wrong process in some
application environment.

B-6: RS485 interface application note
  RS485 interface is used for multi-drop half-duplex application. Because
we had put Auto-Data-Direction-Control capability in RS4232 box, user may
not use RTS signal to control the data direction. So it is no use for RTS
/CTS signal in RS485 interface. Because we had put one 120ohmn terminator
resistor in RXD input signal pair.User may or may not need to remove this
terminator resistor for proper operation.

  Due to proper operation user may not let one cable left in un-connected
condition. Because the crosstalk problem may let one transmit data signal
to be coupled to receive data input. This may lead wrong process in some
application environment.

  Due to the relationship between DATA+/DATA- and signal in UART may be
different from other manuafacture's definition. In our RS4232 box we have
DATA+ with same phase as signal in UART (somebody may invert it).

                        ---17---

                        Appendix C
               Troubleshooting procedure for PCIPORT card
               ==========================================

1. Please confirm your card type firstly:
  a)PCIPORT card:
         P588, P584, P422I, P124, P485, P514, P518, P640N, P984, P985, P924.
         P584U, P588U, P5168U, P8485U, P485U, P514U, P524U, P534U, P640NU.
  b)PCIIOP card:
         P640A, P640R, P960A, P960F, P990, P818, P888, IOP3927, P1688U.

2. Please specify your target O.S. type:
  a) DOS.      b) Linux.    c) SCO Openserver.  d) WIN95/98/Me.
  e) WIN NT.   f) WIN2000.  g) WIN XP.          h) others.

3. Please confirm following boot procedure in which step to be wrong:
  a) In power on boot procedure we can not see the PCI BIOS screen to show
     our PCIPORT card.
     NOTE: After the power of PC is truned on, the PCI BIOS will scan the
           card to be inserted in PCI slot. If one PCI card were inserted
           in PCI slot, the PCI BIOS will assign the memory map, I/O map
           and IRQ number to every cards. Generally PCI BIOS will show the
           vendor ID and device ID of each card in screen. You can also see
           the bus number, function number and IRQ number for this card.
           Our PCIPORT card will have vendor ID "10B5" or "144A". THe device
           ID will be "9050". So we must see such information in PCI BIOS
           boot procedure display screen. If we can not see such card, it
           means that PCI BIOS can not find our card. Then we may change the
           PCI slot for our card (we suggest that PCI slot may be damaged)
           or clean the golden finger of our PCIPORT card (we suggest that
           our PCB is dirty in golden finger and the touch is not good) to
           try again.

  b) When we can find PCIPORT in PCI BIOS boot procdure, we can install our
     driver from diskette. But there are some problem to install the driver.
     NOTE: Every O.S. must have corresponding driver to be installed. We have
           many OS's driver in different directory. If user did not specify
           the correct path for corresponding driver in driver installation
           procedure, you may have problem to install our driver.
           Generally this condition is happened in WIN2000 or WIN95/98 system.
           Because WIN2000 system may choose the path for our WIN95 driver's
           directory and user do not change to WIN2000 directory. Then user
           may install driver and with error message finally. In this
           condition user must remove the INF file and force WIN2000 system
           to enter P&P procedure to install new driver (or WIN2000 system
           may record your old bad driver always).

  c) When we install driver successfully. But we can not find the extra
     target COM port in next boot procedure.
     NOTE: In power on boot procedure our driver will start to work.
           Generally our driver will check the contents of driver and the
           hardware information in PCI card. If the driver assigned for one
           card were not the card installed, our driver will say "card not
           found". And there are no extra COM port available.
           Generally you can check same hardware configuration in different
           OS type. If there were no problem in new OS system, then you may
           have some driver installation problem. You may need to check with

                        ---18---

           us to solve your problem (E_Mail to rayon@ms1.hinet.net). If
           there were problem in other OS system, you may have hardware
           problem in such card. Please check with supplier.

  d) When we have extra target COM port in next boot procedure. But there
     are no data transmission or receiving in such COM port.

     NOTE: Generally one need to send/receive data from COM port may have
           two steps. The first step is to open such COM port. The second
           step is to send/receive data in IRQ mode or polling mode.
           In our driver diskette we prepare "RAYONTTY.EXE" utility file.
           This file is terminal emulation program. You can run this file
           to use one COM port for data communication.
           When you run "rayontty.exe" you can assign the target COM port
           and set the target parameter. Then you can ask to "connect". If
           you set the COM port that you can see in "control panel" and
           "rayontty.exe" say "OPEN FAIL", then you may not have such COM
           port (even though we can see in "control panel"). This condition
           is due to some problem in driver installation. Please contact
           with us to fix your problem.
           If we could open such COM port without any error message, then
           we need to check hardware operation. If we had one loopback
           connector to insert in such COM port. In normal condition we can
           strike any key in keyboard and see the console out in screen.
           If we strike any key in keyboard and there are no console out
           in screen (the system is hung), then you may have IRQ assigned
           with confliction to other device. Please change PCIPORT card to
           other PCI slot and you may be assigned other IRQ without
           confliction. Or you may enter BIOS setup to let some IRQ value
           to be used by ISA card in "legacy" mode.
           Even though our PCIPORT card is IRQ shareable. But ISA card is
           not IRQ shareable. When one IRQ is set to be "P&P mode" in BIOS
           setup. And one ISA card need such IRQ (by jumper or manual set).
           Then PCI BIOS may assign such IRQ to PCIPORT card. So we may
           have big problem in PCIPORT card's IRQ service routine.

  e) We can install Linux driver without any error message. But there are
     correct action or system hung in next boot procedure.

     NOTE: We offer source file type driver to install in Linux system.
           So our driver will be compiled and linked with kernel source
           file in current system configuration. But user may use the
           booting image file for different system configuration. User
           must use current kernel source file and configuration to
           generate one image file to boot.

4. The other condition to specify and troubleshoot:
   a) Generally we test our PCIPORT card in DOS system.
   b) In some condition the action in DOS environment may be different from
      other OS environment. So there are no problem in DOS test environment
      may not say no problem in other OS environment.
   c) So anybody need to troubleshoot PCIPORT card must specify the OS type.
      And they may need more detail information  about the problem in
      PCIPORT card operation.
   d) Then we may test in DOS environment firstly and test in other OS
      environment as customer specified later.
   e) So user must specify the problem in which environment to test.
   f) Please send E_mail to rayon@ms1.hinet.net before returned your cards.

                        ---19---

                        Appendix D
               P422I and P422N card usage
               ==========================
D-1: P422I card usage
  1. DIP SWITCH in SW1:
        this is 4 bit DIP switch. bit1 & 2 is used to set card number.
        default condition is in ON position to set in 1'st card mode.
        bit3 & 4 is used to set port interface type. bit3 is used for port A.
        bit4 is used for port B. default condition is in ON position for
        RS422 interface. When we set in OFF position (the other side of ON)
        , port interface is RS485 mode.

  2. Jumper in JP3 & JP6:
        this is jumper to insert(remove) 120ohm terminator resistor in
        RS422/485 interface. JP3 is used for port A. JP6 is used for port B.
        When jumper is shorted, the terminator resistor inserted. When jumper
        is opened, the terminator resistor removed from interface. Default
        condition is no terminator resistor (jumper open).

  3. usage in RS485 interface mode:
        When user need to use port type RS485 interface, we need to set DIP
        switch in SW1 to OFF position. Then we need to short pin2 & pin3 in
        DB9 connector as DATA+ signal and short pin4 & pin6 as DATA- signal
        for RS485 connection.
        User can also use our TB485 convertor for DB9 connector to 3 terminal
        block for DATA+ , DATA- , GND connection.

  4. Pin definition for DB9 connector:
        Please check Appendix A-4 table for more information.

D-2: P422N card usage
  1. DIP SWITCH in SW1:
        this is 4 bit DIP switch. bit1 & 2 is used to set card number.
        default condition is in ON position to set in 1'st card mode.
        bit3 & 4 is used to set port interface type. bit3 is used for port A.
        bit4 is used for port B. default condition is in ON position for
        RS422 interface. When we set in OFF position (the other side of ON)
        , port interface is RS485 mode.

  2. Jumper in JP1 & JP2:
        this is jumper to insert(remove) 120ohm terminator resistor in
        RS422/485 interface. JP1 is used for port A. JP2 is used for port B.
        When jumper is shorted, the terminator resistor inserted. When jumper
        is opened, the terminator resistor removed from interface. Default
        condition is no terminator resistor (jumper open).

  3. usage in RS485 interface mode:
        When user need to use port type RS485 interface, we need to set DIP
        switch in SW1 to OFF position. Then we need to short pin2 & pin3 in
        DB9 connector as DATA+ signal and short pin4 & pin6 as DATA- signal
        for RS485 connection.
        User can also use our TB485 convertor for DB9 connector to 3 terminal
        block for DATA+ , DATA- , GND connection.

  4. Pin definition for DB9 connector:
        Please check Appendix A-4 table for more information.


                        ---20---

D-3: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON\P220 directory. We just need to run "P984"
     in this directory to install DOS driver.
        cd \RAYON\P220
        P984

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

D-4: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

D-5: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P220\NT4

  3. Then you can finish the setting and port available in next booting.

D-6: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P422I/P422N card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

D-7: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please goto root directory and "tar" our driver diskette to your
     Linux system.
        cd /
        tar xvf /dev/fd0

  3. Please run "Install" to install driver.
        ./Install

  4. Please choose card type in "PCIPORT card".

                        ---21---

                        Appendix E
               P584/P584U and P524U card usage
               ===============================
E-1: P584 card usage
  1. Jumper in JP1:
        this is jumper to set card number. Default condition is shorted in
        jumper for 1'st card mode. When jumper is opened, it is 2'nd card
        mode.

  2. Pin definition for DB25 connector: (use with A400 cable)
        Please check Appendix A-3 table for more information.

  3. Pin definition for DB9 connector: (use with P485 cable)
        Please check Appendix A-4 table for more information.

E-2: P584U card usage
  1. Jumper in JP1:
        same function as above P584 card to set card number.

  2. Pin definition for DB25 connector: (use with A400 cable)
        Please check Appendix A-3 table for more information.

  3. Pin definition for DB9 connector: (use with P485 cable)
        Please check Appendix A-4 table for more information.

E-3: P524U card usage
  1. Jumper in JP2:
        this is 2 bit jumper. Each bit will set the corresponding port
        interface type. Bit 1(label PORT C) is used for port C.
        Bit2(label PORT D)  is used for port D. Default condition is
        shorted in jumper for RS422 interface. When jumper is opened, it
        is set for RS485 interface.

  2. Jumper in JP1:
        same function as above P584/P584U card to set card number.

  3. Jumper in JP6,JP8:
        this is jumper to insert(remove) 120ohm terminator resistor in
        RS422/485 interface. JP8 is used for port C. JP6 is used for port D.
        When jumper is shorted, the terminator resistor inserted. When jumper
        is opened, the terminator resistor removed from interface. Default
        condition is no terminator resistor (jumper open).

  4. Pin definition for DB25 connector: (use with A400 cable)
        Please check Appendix A-3 table for more information.

  5. Pin definition for DB9 connector: (use with P485 cable)
        Please check Appendix A-4 table for more information.

  6. port A and port B is RS232 interface. port C and port D can be set
     in RS422 or RS485 interface.

                        ---22---

E-4: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON directory. We just need to run "PCIPORT"
     in this directory to install DOS driver.
        cd \RAYON
        PCIPORT

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

E-5: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

E-6: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P584\NT4

  3. Then you can finish the setting and port available in next booting.

E-7: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P584/P584U/P524U card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

E-8: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please choose card type in "PCIPORT card".

E-9: How to install SCO driver
  1. Detail information please check Chapter 8 of this manual.

  2. P584/P584U/P524U card will be shown as PCIPORT card and P584 card type.

                        ---23---

                        Appendix F
               P485  and P485U card usage
               ==========================
F-1: P485 card usage
  1. DIP SWITCH in SW1:
        this is 4 bit DIP switch. Each bit will set the corresponding port
        interface type. Bit 1 is used for port A. Bit2 is for port B. Bit3
        is for port C and bit4 is for port D. Default condition is in ON
        position for RS422 interface. When we set in OFF position (the other
        side of ON) port interface is RS485 mode.

  2. Jumper in JP1:
        this is jumper to set card number. Default condition is shorted in
        jumper for 1'st card mode. When jumper is opened, it is 2'nd card
        mode.

  3. Jumper in JP2,JP3,JP4 & JP5:
        this is jumper to insert(remove) 120ohm terminator resistor in
        RS422/485 interface. JP5 is used for port A. JP4 is used for port B.
        JP3 is used for port C. JP4 is used for port D.
        When jumper is shorted, the terminator resistor inserted. When jumper
        is opened, the terminator resistor removed from interface. Default
        condition is no terminator resistor (jumper open).

  4. usage in RS485 interface mode:
        When user need to use port type RS485 interface, we need to set DIP
        switch in SW1 to OFF position. Then we need to short pin2 & pin3 in
        DB9 connector as DATA+ signal and short pin4 & pin6 as DATA- signal
        for RS485 connection. Or we need to short pin2 & pin3 in DB25
        connector as DATA+ signal and short pin6 & pin20 in DB25 connector
        as DATA- signal for RS485 connection.
        User can also use our TB485 convertor for DB9 connector to 3 terminal
        block for DATA+ , DATA- , GND connection.

  5. Pin definition for DB25 connector: (use with A400 cable)
        Please check Appendix A-3 table for more information.

  6. Pin definition for DB9 connector: (use with P485 cable)
        Please check Appendix A-4 table for more information.

F-2: P485U card usage
  1. DIP SWITCH in SW1:
        same function as above P485 card to set interface type.

  2. Jumper in JP1:
        same function as above P485 card to set card number.

  3. Jumper in JP2,JP4,JP6 & JP8:
        this is jumper to insert(remove) 120ohm terminator resistor in
        RS422/485 interface. JP8 is used for port A. JP6 is used for port B.
        JP4 is used for port C. JP2 is used for port D.
        When jumper is shorted, the terminator resistor inserted. When jumper
        is opened, the terminator resistor removed from interface. Default
        condition is no terminator resistor (jumper open).

  4. usage in RS485 interface mode and pin definition in connector:
        same function as above P485 card.

                        ---24---

F-3: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON directory. We just need to run "PCIPORT"
     in this directory to install DOS driver.
        cd \RAYON
        PCIPORT

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

F-4: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

F-5: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P584\NT4

  3. Then you can finish the setting and port available in next booting.

F-6: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P485/P485U card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

F-7: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please choose card type in "PCIPORT card".

F-8: How to install SCO driver
  1. Detail information please check Chapter 8 of this manual.

  2. P485/P485U card will be shown as PCIPORT card and P584 card type.

                        ---25---

                        Appendix G
               P588/P588U and P5168U card usage
               ================================
G-1: P588 card usage
  1. Jumper in JP1:
        this is jumper to set card number. Default condition is shorted in
        jumper for 1'st card mode. When jumper is opened, it is 2'nd card
        mode.

  2. Pin definition for DB25 connector: (use with R801 cable)
        Please check Appendix A-3 table for more information.
        R801 cable is one DB62 male connector to eight DB25 male connector.

  3. Pin definition for DB9 connector: (use with R804 cable)
        Please check Appendix A-4 table for more information.
        R804 cable is one DB62 male connector to eight DB9 male connector.

  4. P588 card can connect with RS4232-8 box by R803 cable. R803 cable is
        DB62 male connector to DB62 male connector pin to pin connection
        cable. The other document for RS4232-8 box can be found in Appendix
        B for more information.

G-2: P588U card usage
  1. Jumper in JP1:
        same function as above P588 card to set card number.

  2. Pin definition for DB25 connector: (use with R801 cable)
        Please check Appendix A-3 table for more information.

  3. Pin definition for DB9 connector: (use with R804 cable)
        Please check Appendix A-4 table for more information.

G-3: P5168U card usage
  1. Jumper in JP1:
        same function as above P588 card to set card number.

  2. Pin definition for DB25 connector: (use with R801 cable)
        Please check Appendix A-3 table for more information.

  3. Pin definition for DB9 connector: (use with R804 cable)
        Please check Appendix A-4 table for more information.

                        ---26---

G-4: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON directory. We just need to run "PCIPORT"
     in this directory to install DOS driver.
        cd \RAYON
        PCIPORT

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

G-5: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

G-6: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P588\NT4

  3. Then you can finish the setting and port available in next booting.

G-7: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P588/P588U/P5168U card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

G-8: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please choose card type in "PCIPORT card".

G-9: How to install SCO driver
  1. Detail information please check Chapter 8 of this manual.

  2. P588/P588U card will be shown as PCIPORT card and P588 card type.

                        ---27---

                        Appendix H
               P8485U and P588U4 card usage
               ============================
H-1: P8485U card usage
  1. DIP SWITCH in SW1 & SW2:
        this is 4 bit DIP switch for SW1 & SW2. Each bit will set the
        corresponding port interface type. SW1 bit1 is used for port A.
        SW1 bit2 is for port B. SW1 bit3 is for port C. SW1 bit4 is for
        port D. SW2 bit1 is for port E. SW2 bit2 is for port F. SW2 bit3
        is for port G and bit4 is for port H. Default condition is in ON
        position for RS422 interface. When we set in OFF position (the other
        side of ON) port interface is RS485 mode.

  2. Jumper in JP1:
        this is jumper to set card number. Default condition is shorted in
        jumper for 1'st card mode. When jumper is opened, it is 2'nd card
        mode.

  3. usage in RS485 interface mode:
        When user need to use port type RS485 interface, we need to set DIP
        switch to OFF position. Then we need to short pin2 & pin3 in
        DB9 connector as DATA+ signal and short pin4 & pin6 as DATA- signal
        for RS485 connection. Or we need to short pin2 & pin3 in DB25
        connector as DATA+ signal and short pin6 & pin20 in DB25 connector
        as DATA- signal for RS485 connection.
        User can also use our TB485 convertor for DB9 connector to 3 terminal
        block for DATA+ , DATA- , GND connection.

  4. Pin definition for DB25 connector: (use with R801 cable)
        Please check Appendix A-3 table for more information.

  5. Pin definition for DB9 connector: (use with R804 cable)
        Please check Appendix A-4 table for more information.

H-2: P588U4 card usage
  1. DIP SWITCH in SW2:
        same function as above P8485U card. But we just have portE--portH as
        RS422/485 interface and portA--portD as RS232 interface.
        SW2 bit1 is for port E. SW2 bit2 is for port F. SW2 bit3
        is for port G and bit4 is for port H. Default condition is in ON
        position for RS422 interface. When we set in OFF position (the other
        side of ON) port interface is RS485 mode.

  2. Jumper in JP1:
        same function as above P8485U card to set card number.

  3. usage in RS485 interface mode and pin definition in connector:
        same function as above P8485U card.

  4. Pin definition for DB25 connector: (use with R801 cable)
        Please check Appendix A-3 table for more information.

  5. Pin definition for DB9 connector: (use with R804 cable)
        Please check Appendix A-4 table for more information.

                        ---28---

H-3: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON directory. We just need to run "PCIPORT"
     in this directory to install DOS driver.
        cd \RAYON
        PCIPORT

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

H-4: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

H-5: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P588\NT4

  3. Then you can finish the setting and port available in next booting.

H-6: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P8485U/P588U4 card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

H-7: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please choose card type in "PCIPORT card".

H-8: How to install SCO driver
  1. Detail information please check Chapter 8 of this manual.

  2. P8485U/P588U4 card will be shown as PCIPORT card and P588 card type.

                        ---29---

                        Appendix I
                      P232 card usage
                    ===================
I-1: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON\P220 directory. We just need to run "P984"
     in this directory to install DOS driver.
        cd \RAYON\P220
        P984

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

I-2: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

I-3: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P220\NT4

  3. Then you can finish the setting and port available in next booting.

I-4: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P422I/P422N card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

I-5: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please goto root directory and "tar" our driver diskette to your
     Linux system. Then you can run"Install" to install driver.
        cd /
        tar xvf /dev/fd0
        ./Install

  3. Please choose card type in "PCIPORT card".

                        ---30---

                        Appendix J
               P984/P985 and P924 card usage
               =============================
J-1: P984 card usage
  1. Jumper in JP1:
        this is jumper to set card number. Default condition is shorted in
        jumper for 1'st card mode. When jumper is opened, it is 2'nd card
        mode.

  2. Pin definition for DB25 connector: (use with A400 cable)
        Please check Appendix A-3 table for more information.

  3. Pin definition for DB9 connector: (use with P485 cable)
        Please check Appendix A-4 table for more information.

J-2: P985 card usage
  1. Jumper in JP1:
        this is jumper to set card number. Default condition is shorted in
        jumper for 1'st card mode. When jumper is opened, it is 2'nd card
        mode.

  2. Pin definition for DB25 connector: (use with A400 cable)
        Please check Appendix A-3 table for more information.

  3. Pin definition for DB9 connector: (use with P485 cable)
        Please check Appendix A-4 table for more information.

J-3: P924 card usage
  1. Jumper in JP5:
        this is 2 bit jumper. Each bit will set the corresponding port
        interface type. Bit 1(label C) is used for port C. Bit2(label D)
         is for port D. Default condition is shorted in jumper for RS422
         interface. When jumper is opened, it is set for RS485 interface.

  2. Jumper in JP1:
        same function as above P984/P985 card to set card number.

  3. Jumper in JP2,JP3:
        this is jumper to insert(remove) 120ohm terminator resistor in
        RS422/485 interface. JP3 is used for port C. JP2 is used for port D.
        When jumper is shorted, the terminator resistor inserted. When jumper
        is opened, the terminator resistor removed from interface. Default
        condition is no terminator resistor (jumper open).

  4. usage in RS485 interface mode and pin definition in connector:
        same function as above P984/P985 card and P485 card.

  5. port A and port B is RS232 interface. port C and port D can be set
     in RS422 or RS485 interface.

                        ---31---

J-4: How to install DOS driver
  1. Please prepare one directory for our DOS driver. ex. C:\RAYON

  2. Please copy our DOS driver from diskette to this directory.
        cd \RAYON
        xcopy /s/e/v a:\DOS\*.* .

  3. Our driver is in  C:\RAYON\P220 directory. We just need to run "P984"
     in this directory to install DOS driver.
        cd \RAYON\P220
        P984

  4. We can have DEMO program and document in  C:\RAYON\DEMO directory.
     Here you can find the source file for our DEMO program. You can also
     see the document for our API to call in DOS driver.

J-5: How to install WIN95/98/Me driver
  1. WIN95/98/Me system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN95

J-6: How to install WIN NT4 driver
  1. WIN NT4 system is not P&P system. So we need to install driver
     manually. Our driver will be install as "network card".

  2. In [control panel] [Network] [Add Adaptor] we can install our card
     from diskette. We just need to specify directory in
                      A:\P984\NT4

  3. Then you can finish the setting and port available in next booting.

J-7: How to install WIN2000/XP driver
  1. WIN2000/XP system is P&P system.

  2. Upon power on condition WINDOWS system will find new hardware device
     and ask to install driver. You just need to specify the driver
     directory in     A:\WIN2000

  3. In WIN2000 system the port driver for each COM port will be installed
     automatically after P984/P985/P924 card driver installed. In WIN XP
     system the port driver for each COM port will be installed one by
     one after card driver installed.

J-8: How to install Linux driver
  1. Detail information please check Chapter 7 of this manual.

  2. Please choose card type in "PCIPORT card".

J-9: How to install SCO driver
  1. Detail information please check Chapter 8 of this manual.

  2. P984/P985/P924 card will be shown as PCIPORT card and P984 card type.

                        ------32------

                          Appendix M
                    RAYON REPAIR PROCEDURE
                  ==========================

1. RETURN MATERIAL AUTHORIZATION (RMA or RA)

  RAYON requires that you provide the following information :

        * Model number

        * RAYON serial number

        * The reason for returning the products

  ######################################################################
  #  We strongly suggest that you can check with RAYON by E_mail before#
  #you can confirm the reason for returning the products. Because some #
  #problem may be due to wrong software usage or setup.                #
  #                 rayon@ms1.hinet.net                                #
  ######################################################################

        * Your purchase-order number

  You will be given the following information from your RAYON Service
Representative:

        * Your Return Material Authorization Number (RMA or RA Number)

        * Information regarding applicable charges

        * The address to which you will return the products

2. REPAIR CHARGES

  All RAYON products have a one year warranty. Products that are damaged or
modified are not covered.

  This limited warranty covers defects in materials and workmanship in your
RAYON-branded hardware products. This limited warranty does not cover
problems that result from:
  *external causes such as accident,abuse,misuse,or problems with
   electrical power.
  *Servicing not authorized by us.
  *Usage that is not in accordance with product instructions.
  *Failure to follow the product instructions or failure to perform
   preventive maintenance.

  Products that are covered under the original warranty and that are found
defective by RAYON will be repaired at no cost. A standard handling and
testing charge will be assessed for products returned for warranty repair
that are found to be operating properly.

  Products that are no longer covered under warranty will be repaired, if
deemed repairable, for a flat rate charge regardless of the repair work
required.

  Please contact the nearest RAYON Service Center for current pricing
information.
